compat-guile18-devel-1.8.8-13.fc24.i686.rpm


Advertisement

Description

compat-guile18-devel - Libraries and header files for the GUILE extensibility library

Property Value
Distribution Fedora 25
Repository Fedora x86_64
Package name compat-guile18-devel
Package version 1.8.8
Package release 13.fc24
Package architecture i686
Package type rpm
Installed size 467.12 KB
Download size 110.81 KB
Official Mirror dl.fedoraproject.org
The compat-guile18-devel package includes the libraries, header files, etc.,
that you'll need to develop applications that are linked with the
GUILE extensibility library.
You need to install the compat-guile18-devel package if you want to develop
applications that will be linked to GUILE.  You'll also need to install the
compat-guile18 package.

Alternatives

Package Version Architecture Repository
compat-guile18-devel-1.8.8-14.fc25.i686.rpm 1.8.8 i686 Fedora Updates
compat-guile18-devel-1.8.8-14.fc25.i686.rpm 1.8.8 i686 Fedora Updates
compat-guile18-devel-1.8.8-14.fc25.x86_64.rpm 1.8.8 x86_64 Fedora Updates
compat-guile18-devel-1.8.8-13.fc24.i686.rpm 1.8.8 i686 Fedora
compat-guile18-devel-1.8.8-13.fc24.x86_64.rpm 1.8.8 x86_64 Fedora
compat-guile18-devel - - -

Requires

Name Value
/usr/bin/guile1.8 -
/usr/bin/pkg-config -
compat-guile18(x86-32) = 1.8.8-13.fc24
gmp-devel -
libguile.so.17 -
pkgconfig -

Provides

Name Value
compat-guile18-devel = 1.8.8-13.fc24
compat-guile18-devel(x86-32) = 1.8.8-13.fc24
guile-devel = 1.8.8-7
guile-devel(x86-32) = 1.8.8-7
pkgconfig(guile-1.8) = 1.8.8

Obsoletes

Name Value
guile-devel < 1.8.8-7
guile-devel(x86-32) < 1.8.8-7

Download

Type URL
Binary Package compat-guile18-devel-1.8.8-13.fc24.i686.rpm
Source Package compat-guile18-1.8.8-13.fc24.src.rpm

Install Howto

Install the compat-guile18-devel rpm package:

# dnf install compat-guile18-devel

Files

Path
/usr/bin/guile1.8-config
/usr/bin/guile1.8-snarf
/usr/include/libguile.h
/usr/include/guile/gh.h
/usr/include/guile/readline.h
/usr/include/guile/srfi/srfi-1.h
/usr/include/guile/srfi/srfi-13.h
/usr/include/guile/srfi/srfi-14.h
/usr/include/guile/srfi/srfi-4.h
/usr/include/guile/srfi/srfi-60.h
/usr/include/libguile/__scm.h
/usr/include/libguile/alist.h
/usr/include/libguile/arbiters.h
/usr/include/libguile/async.h
/usr/include/libguile/backtrace.h
/usr/include/libguile/boolean.h
/usr/include/libguile/chars.h
/usr/include/libguile/continuations.h
/usr/include/libguile/convert.h
/usr/include/libguile/debug-malloc.h
/usr/include/libguile/debug.h
/usr/include/libguile/deprecated.h
/usr/include/libguile/deprecation.h
/usr/include/libguile/discouraged.h
/usr/include/libguile/dynl.h
/usr/include/libguile/dynwind.h
/usr/include/libguile/environments.h
/usr/include/libguile/eq.h
/usr/include/libguile/error.h
/usr/include/libguile/eval.h
/usr/include/libguile/evalext.h
/usr/include/libguile/extensions.h
/usr/include/libguile/feature.h
/usr/include/libguile/filesys.h
/usr/include/libguile/fluids.h
/usr/include/libguile/fports.h
/usr/include/libguile/futures.h
/usr/include/libguile/gc.h
/usr/include/libguile/gdb_interface.h
/usr/include/libguile/gdbint.h
/usr/include/libguile/goops.h
/usr/include/libguile/gsubr.h
/usr/include/libguile/guardians.h
/usr/include/libguile/hash.h
/usr/include/libguile/hashtab.h
/usr/include/libguile/hooks.h
/usr/include/libguile/i18n.h
/usr/include/libguile/init.h
/usr/include/libguile/inline.h
/usr/include/libguile/ioext.h
/usr/include/libguile/iselect.h
/usr/include/libguile/keywords.h
/usr/include/libguile/lang.h
/usr/include/libguile/list.h
/usr/include/libguile/load.h
/usr/include/libguile/macros.h
/usr/include/libguile/mallocs.h
/usr/include/libguile/modules.h
/usr/include/libguile/net_db.h
/usr/include/libguile/null-threads.h
/usr/include/libguile/numbers.h
/usr/include/libguile/objects.h
/usr/include/libguile/objprop.h
/usr/include/libguile/options.h
/usr/include/libguile/pairs.h
/usr/include/libguile/ports.h
/usr/include/libguile/posix.h
/usr/include/libguile/print.h
/usr/include/libguile/procprop.h
/usr/include/libguile/procs.h
/usr/include/libguile/properties.h
/usr/include/libguile/pthread-threads.h
/usr/include/libguile/ramap.h
/usr/include/libguile/random.h
/usr/include/libguile/rdelim.h
/usr/include/libguile/read.h
/usr/include/libguile/regex-posix.h
/usr/include/libguile/root.h
/usr/include/libguile/rw.h
/usr/include/libguile/scmconfig-32.h
/usr/include/libguile/scmconfig.h
/usr/include/libguile/scmsigs.h
/usr/include/libguile/script.h
/usr/include/libguile/simpos.h
/usr/include/libguile/smob.h
/usr/include/libguile/snarf.h
/usr/include/libguile/socket.h
/usr/include/libguile/sort.h
/usr/include/libguile/srcprop.h
/usr/include/libguile/srfi-13.h
/usr/include/libguile/srfi-14.h
/usr/include/libguile/srfi-4.h
/usr/include/libguile/stackchk.h
/usr/include/libguile/stacks.h
/usr/include/libguile/stime.h
/usr/include/libguile/strings.h
/usr/include/libguile/strorder.h
/usr/include/libguile/strports.h
/usr/include/libguile/struct.h
/usr/include/libguile/symbols.h
/usr/include/libguile/tags.h
/usr/include/libguile/threads.h
/usr/include/libguile/throw.h
/usr/include/libguile/unif.h
/usr/include/libguile/validate.h
/usr/include/libguile/values.h
/usr/include/libguile/variable.h
/usr/include/libguile/vectors.h
/usr/include/libguile/version.h
/usr/include/libguile/vports.h
/usr/include/libguile/weaks.h
/usr/lib/libguile.so
/usr/lib/pkgconfig/guile-1.8.pc
/usr/share/aclocal/guile1.8.m4

Changelog

See compat-guile18-1.8.8-13.fc24.i686.rpm changelog.

See Also

Package Description
compat-libf2c-34-3.4.6-41.fc25.i686.rpm Fortran 77 compatibility runtime
compat-libf2c-34-3.4.6-41.fc25.x86_64.rpm Fortran 77 compatibility runtime
compat-libgcc-296-2.96-146.1.i686.rpm Compatibility 2.96-RH libgcc library
compat-libgfortran-41-4.1.2-49.fc24.i686.rpm Compatibility Fortran 95 runtime library version 4.1.2
compat-libgfortran-41-4.1.2-49.fc24.x86_64.rpm Compatibility Fortran 95 runtime library version 4.1.2
compat-libmpc-1.0.2-5.fc24.i686.rpm compat/bootstrap mpc-0.9 library
compat-libmpc-1.0.2-5.fc24.x86_64.rpm compat/bootstrap mpc-0.9 library
compat-libstdc++-296-2.96-146.1.i686.rpm Compatibility 2.96-RH standard C++ libraries
compat-libstdc++-33-3.2.3-68.16.fc25.i686.rpm Compatibility standard C++ libraries
compat-libstdc++-33-3.2.3-68.16.fc25.x86_64.rpm Compatibility standard C++ libraries
compat-lua-5.1.5-5.fc24.x86_64.rpm Powerful light-weight programming language (compat version)
compat-lua-devel-5.1.5-5.fc24.i686.rpm Development files for compat-lua
compat-lua-devel-5.1.5-5.fc24.x86_64.rpm Development files for compat-lua
compat-lua-libs-5.1.5-5.fc24.i686.rpm Powerful light-weight programming language (compat version)
compat-lua-libs-5.1.5-5.fc24.x86_64.rpm Powerful light-weight programming language (compat version)
Advertisement
Advertisement